> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /2025-07/retail-media/accounts/sellers/search

> Get the sellers mapped to provided accounts



## OpenAPI

````yaml https://api.criteo.com/2025-07/retailmedia/open-api-specifications.json post /2025-07/retail-media/accounts/sellers/search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: 2025-07
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Billing
  - name: Campaign
  - name: Gateway
paths:
  /2025-07/retail-media/accounts/sellers/search:
    post:
      tags:
        - Accounts
      summary: /2025-07/retail-media/accounts/sellers/search
      description: Get the sellers mapped to provided accounts
      operationId: SearchSellers
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValueResourceInputOfSellerSearch'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ValueResourceCollectionOutcomeOfSellerSearchResult
      security:
        - oauth:
            - RetailMedia_Accounts_Read
components:
  schemas:
    ValueResourceInputOfSellerSearch:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceOfSellerSearch'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ValueResourceCollectionOutcomeOfSellerSearchResult:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ValueResourceOfSellerSearchResult'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        value objects.
    ValueResourceOfSellerSearch:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SellerSearch'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    ValueResourceOfSellerSearchResult:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SellerSearchResult'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    SellerSearch:
      required:
        - accountIds
      type: object
      properties:
        accountIds:
          maxItems: 25
          type: array
          items:
            type: string
          description: list of accounts to return seller information for. max length of 25
        includeDetails:
          type: boolean
          description: "whether to include additional fields beyond the sellerId and retailerId in the response.\r\nMay improve performance when set to false."
          default: false
      additionalProperties: false
      description: request body for the seller search endpoint
    SellerSearchResult:
      type: object
      properties:
        accountId:
          type: string
          description: the id for the account
          nullable: true
        sellers:
          type: array
          items:
            $ref: '#/components/schemas/RetailMediaSeller'
          description: the details for mapped sellers for the account
          nullable: true
      additionalProperties: false
      description: holds an AccountId and the mapped seller information for that account
      nullable: true
    RetailMediaSeller:
      type: object
      properties:
        name:
          type: string
          description: seller name
          nullable: true
        retailerId:
          type: integer
          description: the retailer id
          format: int32
          nullable: true
        sellerId:
          type: string
          description: the seller id
          nullable: true
      additionalProperties: false
      description: used to define the exact seller linked with an account
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````